package seminar7;

public class StopState implements State {

   @Override
   public void doAction(Context context) {
      System.out.println("Player is in stop state");
      context.setState(this);	
   }
   
   @Override
   public void goNext(Context context) {
       context.setState(new StartState());
   }

   @Override
   public String toString(){
      return "Stop State";
   }
}
